using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Rezultat(int N, int K, string[] karte)
        {
            for (int R = 0; R < N; R++)
            {
                if (int.Parse(karte[R]) == K && R != N - 1)
                {
                    Console.WriteLine(karte[R + 1]);
                    break;
                }
                else if (int.Parse(karte[R]) == K && R == N - 1)
                {
                    Console.WriteLine(karte[0]);
                    break;
                }
            }
        }
        static void Main(string[] args)
        {
            int N, K;
            string[] NK = Console.ReadLine().Split(' ');
            N = int.Parse(NK[0]);
            K = int.Parse(NK[1]);
            string[] karte = Console.ReadLine().Split(' ');
            Rezultat(N, K, karte);
        }
    }
}